package com.qmth.eds.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.eds.bean.result.SyncTaskListResult;
import com.qmth.eds.common.entity.TBSyncTask;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 同步数据 Mapper 接口
 * </p>
 */
public interface TBSyncTaskMapper extends BaseMapper<TBSyncTask> {

    IPage<SyncTaskListResult> query(@Param("iPage") Page<SyncTaskListResult> iPage, @Param("schoolId") Long schoolId, @Param("status") String status, @Param("type") String type, @Param("result") String result, @Param("userId") Long userId);
}
