package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.eds.common.entity.ExamType;

import java.util.List;

/**
 * 考试类型表 服务类
 */
public interface ExamTypeService extends IService<ExamType> {

    boolean saveData(ExamType examType);

    boolean delete(Long id);

    IPage<ExamType> pageData(Integer pageNumber, Integer pageSize);

    List<ExamType> listData();

    boolean enable(Long id);
}
